List partner residency applications
Authorization
partnerKey Partner Key for one approved Partner Integration. Keys are lifecycle- and scope-checked, and cross-integration resources are hidden.
In: header
Query Parameters
1 <= value <= 100uuidResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/partner/residency_applications"{ "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "version": 1, "statusId": "Draft", "applicationVersion": "string", "submittedAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "approvedAt": "2019-08-24T14:15:22Z", "rejectedAt": "2019-08-24T14:15:22Z", "residentPermitNumber": "string", "referralCode": "string", "applicationData": { "residencyType": "limited_e_resident", "aoc": { "aocId": "string", "signed": true, "signedByName": "string", "signedAt": "2019-08-24T14:15:22Z", "agentAuthorized": true }, "personalDetails": { "givenName": "string", "surname": "string", "email": "user@example.com", "dateOfBirth": "string", "sex": "string", "countryOfBirth": "st", "citizenships": [ "st" ], "alternateNamesAttestation": true, "alternateNames": "string", "criminalBackgroundAttestation": true, "proofOfAddressUploadId": "374d34cb-fcc3-469a-9edd-37075e3acebb", "address": { "line1": "string", "line2": "string", "city": "string", "state": "string", "postalCode": "string", "country": "st" }, "phoneNumber": "string" }, "information": { "residencyReason": "string", "referralSource": "string" } }, "applicantPortalAccess": { "email": "user@example.com", "hasLoggedIn": true, "lastLogin": "2019-08-24T14:15:22Z", "claimLinkSent": true, "claimLinkSentAt": "2019-08-24T14:15:22Z" }, "nextSteps": { "agreementUrl": "http://example.com", "proofOfAddressRequired": true, "paymentRequired": true, "verificationRequired": true, "verificationInstructions": "string", "submitReady": true } } ], "pagination": { "limit": 1, "nextCursor": "53a4a333-2825-45a4-80d2-5f430d088f36" }}Create a hosted checkout session POST
Returns 409 with code payment_in_progress while an existing payment is being checked. Poll the application payment state before requesting another checkout. Account deactivation revokes personal API keys, including Agent Keys, and OAuth authorizations. Account reactivation requires new API keys, including new Agent Keys, and consent; previously issued credentials remain invalid.
Create a partner residency application POST
Creates a Draft owned by your integration and, for an applicant without an existing eProspera password, emails a single-use 24-hour account-claim link. Requires `Idempotency-Key`.